<?php
namespace Banyo\CustomProduct\ViewModel;

use Magento\Customer\Model\Session;
use Magento\Framework\View\Element\Block\ArgumentInterface;

class CustomerStatus implements ArgumentInterface
{
    protected $customerSession;

    public function __construct(Session $customerSession)
    {
        $this->customerSession = $customerSession;

    }

    public function isLoggedIn(): bool
    {
        return $this->customerSession->isLoggedIn();
    }
}
